#### DISPS

#### Synopsis

    HELP:   (HOST) DISP status of the FLAMFILE
    TYPE:   NUMBER
    SYNTAX: DISPS=NEW/SHR/MOD/OLD

#### Description

DISP-Status of the FLAMFILE (z/OS only).

The DISP parameter is part of the DD card in JCL.

For more information see z/OS JCL manual under DD statement. This parameter is ignored when the FLAMFILE is allocated via JCL. FLAM recognizes itself if a file is new or cataloged (old).

JCL-Syntax restrictions for FLAMv4 or older:

       DISP= [ status ]
       DISP=([ status ] [ ,normal-termination-disp ] [,abnormal-termination-disp])
       DISP=([ NEW    ] [ ,DELETE                  ] [,DELETE                   ])
       DISP=([ OLD    ] [ ,KEEP                    ] [,KEEP                     ])
       DISP=([ SHR    ] [ ,PASS                    ] [,CATLG                    ])
       DISP=([ MOD    ] [ ,CATLG                   ] [,UNCATLG                  ])
       DISP=([        ] [ ,UNCATLG                 ])

See also parameters DISPN and DISPA.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `DISPS=SHR/OLD/MOD/NEW`

Values

- z/OS
  - `SHR` - shareable
  - `OLD` - exclusiv
  - `MOD` - extend
  - `NEW` - new file

Default

- z/OS
  - `SHR` for input, `OLD` or `NEW` on output

Valid for

- decompression

#### Selections

- `NEW - Disposition status NEW (brand new file)`
- `SHR - Disposition status SHR (read exiting file)`
- `MOD - Disposition status MOD (append/modify file)`
- `OLD - Disposition status OLD (overwrite existing file)`